import React from 'react';
import { TextCopyCard } from './text-copy-card';

describe('<TextCopyCard />', () => {
  let wrapper;

  beforeAll(() => {
    wrapper = shallow(<TextCopyCard
      text="test text"
    />);
  });

  describe('toggleCopied', () => {
    test('should set number without input error clear', () => {
      wrapper.instance().setCopied();
      expect(wrapper.state().copied).toEqual(true);
    });
  });
});

describe('<TextCopyCard /> component', () => {
  test('should match snapshot', () => {
    const wrapper = shallow(<TextCopyCard text="test text" />);
    expect(wrapper).toMatchSnapshot();
  });
});
